Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

some updates

  • Loading branch information...
commit 30bbd33f088700c4c8fc7d4948a7234fd9af6519 1 parent 505dca1
@Najaf Najaf authored
Showing with 79 additions and 81 deletions.
  1. +74 −76 Gemfile.lock
  2. +2 −2 config/routes.rb
  3. +3 −3 salesman.gemspec
View
150 Gemfile.lock
@@ -2,111 +2,109 @@ PATH
remote: .
specs:
salesman (0.0.1)
- coffee-rails
+ coffee-rails (~> 4.0.0.beta1)
haml
kramdown
- rails (~> 3.2.8)
- sass-rails
+ rails (~> 4.0.0.beta1)
+ sass-rails (~> 4.0.0.beta1)
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.2.8)
- actionpack (= 3.2.8)
- mail (~> 2.4.4)
- actionpack (3.2.8)
- activemodel (= 3.2.8)
- activesupport (= 3.2.8)
- builder (~> 3.0.0)
+ actionmailer (4.0.0.rc1)
+ actionpack (= 4.0.0.rc1)
+ mail (~> 2.5.3)
+ actionpack (4.0.0.rc1)
+ activesupport (= 4.0.0.rc1)
+ builder (~> 3.1.0)
erubis (~> 2.7.0)
- journey (~> 1.0.4)
- rack (~> 1.4.0)
- rack-cache (~> 1.2)
- rack-test (~> 0.6.1)
- sprockets (~> 2.1.3)
- activemodel (3.2.8)
- activesupport (= 3.2.8)
- builder (~> 3.0.0)
- activerecord (3.2.8)
- activemodel (= 3.2.8)
- activesupport (= 3.2.8)
- arel (~> 3.0.2)
- tzinfo (~> 0.3.29)
- activeresource (3.2.8)
- activemodel (= 3.2.8)
- activesupport (= 3.2.8)
- activesupport (3.2.8)
- i18n (~> 0.6)
- multi_json (~> 1.0)
- arel (3.0.2)
- builder (3.0.4)
- coffee-rails (3.2.2)
+ rack (~> 1.5.2)
+ rack-test (~> 0.6.2)
+ activemodel (4.0.0.rc1)
+ activesupport (= 4.0.0.rc1)
+ builder (~> 3.1.0)
+ activerecord (4.0.0.rc1)
+ activemodel (= 4.0.0.rc1)
+ activerecord-deprecated_finders (~> 1.0.2)
+ activesupport (= 4.0.0.rc1)
+ arel (~> 4.0.0)
+ activerecord-deprecated_finders (1.0.2)
+ activesupport (4.0.0.rc1)
+ i18n (~> 0.6, >= 0.6.4)
+ minitest (~> 4.2)
+ multi_json (~> 1.3)
+ thread_safe (~> 0.1)
+ tzinfo (~> 0.3.37)
+ arel (4.0.0)
+ atomic (1.1.8)
+ builder (3.1.4)
+ coffee-rails (4.0.0)
coffee-script (>= 2.2.0)
- railties (~> 3.2.0)
+ railties (>= 4.0.0.beta, < 5.0)
coffee-script (2.2.0)
coffee-script-source
execjs
- coffee-script-source (1.4.0)
+ coffee-script-source (1.6.2)
erubis (2.7.0)
execjs (1.4.0)
multi_json (~> 1.0)
- haml (3.1.7)
- hike (1.2.1)
- i18n (0.6.1)
- journey (1.0.4)
- jquery-rails (2.1.3)
- railties (>= 3.1.0, < 5.0)
- thor (~> 0.14)
- json (1.7.5)
- kramdown (0.14.0)
- mail (2.4.4)
+ haml (4.0.2)
+ tilt
+ hike (1.2.2)
+ i18n (0.6.4)
+ jquery-rails (2.2.1)
+ railties (>= 3.0, < 5.0)
+ thor (>= 0.14, < 2.0)
+ kramdown (1.0.1)
+ mail (2.5.3)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
- mime-types (1.19)
- multi_json (1.3.7)
+ mime-types (1.23)
+ minitest (4.7.4)
+ multi_json (1.7.2)
polyglot (0.3.3)
- rack (1.4.1)
- rack-cache (1.2)
- rack (>= 0.4)
- rack-ssl (1.3.2)
- rack
+ rack (1.5.2)
rack-test (0.6.2)
rack (>= 1.0)
- rails (3.2.8)
- actionmailer (= 3.2.8)
- actionpack (= 3.2.8)
- activerecord (= 3.2.8)
- activeresource (= 3.2.8)
- activesupport (= 3.2.8)
- bundler (~> 1.0)
- railties (= 3.2.8)
- railties (3.2.8)
- actionpack (= 3.2.8)
- activesupport (= 3.2.8)
- rack-ssl (~> 1.3.2)
+ rails (4.0.0.rc1)
+ actionmailer (= 4.0.0.rc1)
+ actionpack (= 4.0.0.rc1)
+ activerecord (= 4.0.0.rc1)
+ activesupport (= 4.0.0.rc1)
+ bundler (>= 1.3.0, < 2.0)
+ railties (= 4.0.0.rc1)
+ sprockets-rails (~> 2.0.0.rc4)
+ railties (4.0.0.rc1)
+ actionpack (= 4.0.0.rc1)
+ activesupport (= 4.0.0.rc1)
rake (>= 0.8.7)
- rdoc (~> 3.4)
- thor (>= 0.14.6, < 2.0)
- rake (0.9.2.2)
- rdoc (3.12)
- json (~> 1.4)
- sass (3.2.2)
- sass-rails (3.2.5)
- railties (~> 3.2.0)
+ thor (>= 0.18.1, < 2.0)
+ rake (10.0.4)
+ sass (3.2.8)
+ sass-rails (4.0.0.rc1)
+ railties (>= 4.0.0.beta, < 5.0)
sass (>= 3.1.10)
+ sprockets-rails (~> 2.0.0.rc0)
tilt (~> 1.3)
- sprockets (2.1.3)
+ sprockets (2.9.3)
hike (~> 1.2)
+ multi_json (~> 1.0)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
- sqlite3 (1.3.6)
- thor (0.16.0)
- tilt (1.3.3)
+ sprockets-rails (2.0.0.rc4)
+ actionpack (>= 3.0)
+ activesupport (>= 3.0)
+ sprockets (~> 2.8)
+ sqlite3 (1.3.7)
+ thor (0.18.1)
+ thread_safe (0.1.0)
+ atomic
+ tilt (1.4.0)
treetop (1.4.12)
polyglot
polyglot (>= 0.3.1)
- tzinfo (0.3.34)
+ tzinfo (0.3.37)
PLATFORMS
ruby
View
4 config/routes.rb
@@ -3,10 +3,10 @@
root to: 'posts#index'
# Blog archive
- match '/archive(.:format)' => 'posts#archive', :format => true, :as => :posts_archive
+ get '/archive(.:format)' => 'posts#archive', :format => true, :as => :posts_archive
# If a post with the given slug exists, serve that
- match '/:slug(.:format)' => 'posts#show', :format => true, :as => :posts
+ get '/:slug(.:format)' => 'posts#show', :format => true, :as => :posts
namespace :cms do
resources :posts, except: [:show]
View
6 salesman.gemspec
@@ -22,9 +22,9 @@ Gem::Specification.new do |s|
s.files = Dir["{app,config,db,lib,vendor}/**/*"] + ["LICENSE", "Rakefile", "README.rdoc"]
s.test_files = Dir["spec/**/*"]
- s.add_dependency "rails", "~> 3.2.8"
- s.add_dependency 'sass-rails'
- s.add_dependency 'coffee-rails'
+ s.add_dependency "rails", "~> 4.0.0.beta1"
+ s.add_dependency 'sass-rails', "~> 4.0.0.beta1"
+ s.add_dependency 'coffee-rails', "~> 4.0.0.beta1"
s.add_dependency 'haml'
s.add_dependency 'kramdown'
Please sign in to comment.
Something went wrong with that request. Please try again.